AOZ Studio Beta - Bug #360

Inkey$ returning multi-character results for modifier keys. (Should return nothing.)
04/28/2020 04:25 AM - Brian Flanagan

Status: Closed Start date: 04/28/2020
Priority: Normal Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.9.4-r3

Affected version: 0.9.8.1

Description

Inkey$ should always return a single character code. It should also save a copy of the current value of the modifier keys in ScanShift

In the following example:

Curs Off

prevKkKys=""

Do
KY$=Inkey$ : Wait Vbl
If KYS$S<>prevKY$ And KYS$ <> "" Then Locate 0,0 : Print KY$;" "
prevKY$=KY$

Loop

Typing a capital A will result in:
Shifta
...instead of:

A

History

#1 - 08/19/2020 10:49 AM - Brian Flanagan
- Assignee set to Brian Flanagan

- Target version set to 0.9.9.4-r3

There were also many other keys besides the modifiers.

Finally fixed!

#2 - 08/19/2020 11:01 AM - Brian Flanagan

- Status changed from New to Resolved

#3 - 09/04/2020 03:39 PM - Brian Flanagan

- Status changed from Resolved to Closed
